<template>
  <div class="button mt-type-activite" :class="tagClass">
    <span>{{ text }}</span> <b-icon v-if="icon" :icon="icon" />
  </div>
</template>

<script>
export default {
  name: 'MtTagButtonActivity',
  props: {
    tagClass: {
      type: [String, Array],
      default: () => 'mt-tag-button-none',
    },
    text: {
      type: String,
      default: () => '',
    },
    icon: {
      type: String,
      default: () => null,
    },
  },
};
</script>

<style scoped lang="scss">
.button {
  cursor: default;
  border: none;
  border-radius: 2em;
}
.button:hover {
  border: none;
  color: initial;
}
</style>
